---
title: vultr_os
url: https://docs.vultr.com/reference/terraform/data-sources/os
description: Provides information about available operating systems for Vultr VPS instances, allowing filtering by attributes like name.
publish_date: 2025-09-15T13:33:45.034938Z
last_updated: 2025-09-15T14:14:43.555934Z
---

# vultr_os

Get information about operating systems that can be launched when creating a Vultr VPS.

## Example Usage

Get the information for an operating system by `name`:

```hcl
data "vultr_os" "centos" {
  filter {
    name   = "name"
    values = ["CentOS 7 x64"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding operating systems.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `name` - The name of the operating system.
* `arch` - The architecture of the operating system.
* `family` - The family of the operating system.